Subject: [alpine-devel] cinnamon

From: Carlo Landmeter <[email-masked]>
Date: Mon, 10 Feb 2014 15:29:47 +0100

Hi,

Ive been adding cinnamon to our testing repo and all packages and deps
seems to have build correctly.
Because of my lack of experience I am unable to make it work on my test
system. If anybody would like to give it a shot and if successful reply the
steps you did to make it work. I will be able to commit them to our repo
and add additional information to our wiki.

The steps I currently do to try to make it work is:

apk add cinnamon (make sure you have edge/testing)
apk add udev dbus consolekit (these probably need to be added as deps
somewhere)
apk add xorg-server

add xorg video keyboard evdev drivers

add udev and dbus to default runlevel and start them (or reboot because of
udev).

echo "exec cinnamon-session --debug" > ~/.xinitrc

startx

-carlo